//-------------------------------------------------------------
// ss_external.js
// 1.15.0.160208.0
//-------------------------------------------------------------

function play() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_play();
        return result;
    } else {
        return false;
    }
}

function pause() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_pause();
        return result;
    } else {
        return false;
    }
}

function seek(val) {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_seek(val);
        return result;
    } else {
        return false;
    }
}

function indexSeek(val) {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_indexSeek(val);
        return result;
    } else {
        return false;
    }
}

function setVolume(val) {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_setVolume(val);
        return result;
    } else {
        return false;
    }
}

function setPauseIndex(val) {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_setPauseIndex(val);
        return result;
    } else {
        return false;
    }
}

//-----------------------------------------------------------------
function getTotaltime() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getTotaltime();
        return result;
    } else {
        return false;
    }
}

function getTime() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getTime();
        return result;
    } else {
        return false;
    }
}

function getIndex() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getIndex();
        return result;
    } else {
        return false;
    }
}

function getTotalIndex() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getTotalIndex();
        return result;
    } else {
        return false;
    }
}

function getStatus() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getStatus();
        return result;
    } else {
        return false;
    }
}

function getVolume() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getVolume();
        return result;
    } else {
        return false;
    }
}

//-----------------------------------------------------------------
// レイヤー情報
// *** 110120 *** //
function getTitle() {
    if (startFlg) {
        var result = thisMovie("mainLayer").external_getTitle();
        return result;
    } else {
        return false;
    }
}

// ※テロップ
function getTelop() {
    if (startFlg) {

        try {
            var result = window.document.getElementById("frame_telop").contentWindow.thisMovie("telopLayer").external_getTelop();
            return result;
        } catch (e) {
            return false;
        }

    } else {
        return false;
    }
}

// ※メニュー
function getIndexLabel() {
    if (startFlg) {

        try {

            var result = window.document.getElementById("frame_menu").contentWindow.thisMovie("menuLayer").external_getIndexLabel();
            return result;

        } catch (e) {

            return false;
        }

    } else {
        return false;
    }
}

function getNote() {
    if (startFlg) {

        try {
            var result = window.document.getElementById("frame_menu").contentWindow.thisMovie("menuLayer").external_getNote();
            return result;
        } catch (e) {
            return false;
        }

    } else {
        return false;
    }
}

//1.10.1 スライドモード
function getEmbedCode(hashMode, embedSize, customEmbedWidth, customEmbedHeight) {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getEmbedCode(hashMode, embedSize, customEmbedWidth, customEmbedHeight);
        return result;
    } else {
        return false;
    }
}

function getContentURL(hashMode) {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getContentURL(hashMode);
        return result;
    } else {
        return false;
    }
}

function getBaseURL() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getBaseURL();
        return result;
    } else {
        return false;
    }
}

function getDefaultEmbedSize() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getDefaultEmbedSize();
        return result;
    } else {
        return false;
    }
}

function getEmbedSize(embedSize) {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getEmbedSize(embedSize);
        return result;
    } else {
        return false;
    }

}

function getTwitterHashTag() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getTwitterHashTag();
        return result;
    } else {
        return false;
    }

}

function getScormMode() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getScormMode();
        return result;
    } else {
        return false;
    }

}

//※1.15.0 レイアウトセット数の取得
function getLayoutSetNum() {

    if (startFlg) {
        var result = thisMovie("mainLayer").external_getLayoutSetNum();
        return result;
    } else {
        return false;
    }

}

//※1.15.0 スライドモード
function getSlideModeProgressTime(passedTime) {

	if (startFlg) {
		try {
            var result = window.document.getElementById("frame_slide").contentWindow.thisMovie("slideLayer").external_getSlideModeProgressTime(passedTime);
            return result;
        } catch (e) {
            return false;
        }
    } else {
        return false;
    }
    
}

function sendTwitter() {

    if (startFlg) {

        //---------------------------------------------
        var _tmpTitle = getTitle();
        var _tmpUrl = getContentURL("");

        var getIndexLabel_result = getIndexLabel();
        if (getIndexLabel_result) {
            var _tmpIndexLabel = getIndexLabel_result;
        } else {
            var _tmpIndexLabel = "";
        }
        var _tmpIndex = getIndex();
        var _tmpTotalIndex = getTotalIndex();

        var twitter_expand_link = getContentURL("");
        var _tmpHashTag = getTwitterHashTag();
        //---------------------------------------------

        // ※ 140文字以下
        var twitter_text_front = _tmpTitle + " " + _tmpIndexLabel + " " + _tmpIndex + "/" + _tmpTotalIndex;

        var twitter_text_end = "";
        if (_tmpHashTag != "" && _tmpHashTag != undefined) {
            twitter_text_end = "#" + _tmpHashTag;
        }

        var twitter_text = twitter_text_front + " " + twitter_text_end;
        var twitter_text_length = twitter_text.length;

        var adjusted_twitter_text_front = "";
        if (twitter_text_length + 20 > 140) {
            var twitter_text_ignorelength = (twitter_text_length + 20) - 140;
            adjusted_twitter_text_front = twitter_text_front.substr(0, (twitter_text_front.length - twitter_text_ignorelength));
        } else {
            adjusted_twitter_text_front = twitter_text_front;
        }
        var adjusted_twitter_text = adjusted_twitter_text_front + " " + twitter_text_end;
        //※escape()、encodeURI()ともに×

        var twitter_openurl = "http://twitter.com/share?url=" + encodeURIComponent(twitter_expand_link) + "&text=" + encodeURIComponent(adjusted_twitter_text);

        window.open(twitter_openurl, "shareWindow");

    }

}

function sendFacebook() {

    if (startFlg) {

        var _tmpUrl = getContentURL("");

        var width = 320;
        var height = 240;
        var left = (screen.width - width) / 2;
        var top = (screen.height - height) / 2;

        window.open("../files/fb_like.html?href=" + encodeURIComponent(_tmpUrl), "facebookLike", "left=" + left + ",top=" + top + ",width=" + width + ",height=" + height);

    }

}

function sendMail() {

    if (startFlg) {

        //---------------------------------------------
        var _tmpTitle = getTitle();
        var _tmpUrl = getContentURL("");
        var getIndexLabel_result = getIndexLabel();
        if (getIndexLabel_result) {
            var _tmpIndexLabel = getIndexLabel_result;
        } else {
            var _tmpIndexLabel = "";
        }
        var _tmpIndex = getIndex();
        var _tmpTotalIndex = getTotalIndex();

        //----------------------------------------------

        var mail_link = _tmpUrl;
        var mail_text = _tmpIndexLabel + " " + _tmpIndex + "/" + _tmpTotalIndex;
        var adjusted_mail_text = "";
        if (adjusted_mail_text.length > 100) {
            adjusted_mail_text = mail_text.substr(0, 100) + "...";
        } else {
            adjusted_mail_text = mail_text;
        }

        var mail_openurl = "";
        var ua = navigator.userAgent.toUpperCase();
        if (ua.indexOf("MAC") >= 0) {
            mail_openurl = "mailto:?subject=" + encodeURIComponent(_tmpTitle) + "&body=" + encodeURIComponent(_tmpUrl) + "%0d%0a" + encodeURIComponent(adjusted_mail_text);
        } else {
            // ※Shift-JISでエンコード
            mail_openurl = "mailto:?subject=" + EscapeSJIS(_tmpTitle) + "&body=" + EscapeSJIS(_tmpUrl) + "%0d%0a" + EscapeSJIS(adjusted_mail_text);
        }

        //window.open(mail_openurl, "_blank");
        window.open(mail_openurl, "_self");

    }

}

//1.10.3 スコア機能
//ユーザー名入力プロンプト
function gaeUserInfoPrompt(msg,name){
    openPrompt(msg,name);
}

//GAE送信失敗
function gaeSendFailure(){
	
	var msg = "Failed to send data.";
	
	if(typeof(Message) != "undefined"){
		if(Message.GAE_SEND_FAILURE){
			msg = Message.GAE_SEND_FAILURE;
		}
	}
	
	alert(msg);
	
}

function getContentLocation(){
	
	var hs = window.location.hash;
    var sr = window.location.search;
    var href = window.location.href;
    
    result = href.split(hs).join("").split(sr).join("");
    
    return result;
    
}

function openPrompt(msg, userInfo){
	
	var p_div = "div_score";
	var p_ifr = "score_frame";
	
	var p_url = "./score/prompt.html";
	
	var p_width = winWidth()-10;
	var p_height = winHeight()-10;
	var p_align = 5;
	var p_valign = 5;
	var p_x = 5;
	var p_y = 5;
	var p_z = 1000;
	
	iLayer.show(p_div,p_ifr,p_url,p_width,p_height,p_align,p_valign,p_x,p_y,p_z);
	
}

function closePrompt(userInfo){

    //※プロンプトを消去
	var element = document.getElementById("div_score");
	element.parentNode.removeChild(element);

	thisMovie("mainLayer").external_setGaeUserName(userInfo);
	
}

//-----------------------------------------------------------------
var startFlg = false;
var StormMessage = {};

//※ 1.10.2 StromMessageList
var StormMessageObjectList = [];

function sendStatus(status, val) {

    switch (status) {
        case "start":
            startFlg = true;

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.start();
            } else {
                try {
                    StormMessage.start();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].start();
                } catch (e) {
                }
            }

            break;
        case "play":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.play();
            } else {
                try {
                    StormMessage.play();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].play();
                } catch (e) {
                }
            }

            break;
        case "pause":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.pause();
            } else {
                try {
                    StormMessage.pause();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].pause();
                } catch (e) {
                }
            }

            break;
        case "seek":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.seek(val);
            } else {
                try {
                    StormMessage.seek(val);
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].seek(val);
                } catch (e) {
                }
            }

            break;
        case "wait":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.wait();
            } else {
                try {
                    StormMessage.wait();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].wait();
                } catch (e) {
                }
            }

            break;
        case "ready":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.ready();
            } else {
                try {
                    StormMessage.ready();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].ready();
                } catch (e) {
                }
            }

            break;
        case "end":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.end();
            } else {
                try {
                    StormMessage.end();
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].end();
                } catch (e) {
                }
            }

            break;
        case "index":

            if (window != window.parent && window.parent.sStormAPI) {
                window.parent.sStormAPI.index(val);
            } else {
                try {
                    StormMessage.index(val);
                } catch (e) {
                }
            }

            //※ 1.10.2 StromMessageList
            for (var i = 0; i < StormMessageObjectList.length; i++) {
                try {
                    StormMessageObjectList[i].index(val);
                } catch (e) {
                }
            }

            break;
        default:
            break;
    }

}