﻿var DCProductURLs = {
    "tabletweb":"./m/embed/embedforsmartphone_tablet.html"
};

var isTabletOutput = true;
var isTabletOSError = false;

var DCshowiPhone = RegExp("AppleWebKit").test(navigator.userAgent) && RegExp("Mobile").test(navigator.userAgent);
var DCshowAndroid = RegExp("Android").test(navigator.userAgent);

var isMobile = RegExp("Mobile").test(navigator.userAgent);
var isiPad = RegExp("iPad").test(navigator.userAgent);

//※Android4以上のチェック
var androidVerCheck = checkAndroidVer(4);
//※iOS5以上のチェック
var iOSVerCheck = checkiOSVer(5);

var isTablet = (( DCshowAndroid && !isMobile && androidVerCheck) || ( DCshowiPhone && isiPad && iOSVerCheck));
var hs = window.location.hash;
var sr = window.location.search;

if (isTablet) {
    window.location.href = DCProductURLs["tabletweb"] + sr + hs;
} else {
    if (DCshowAndroid && !isMobile && !androidVerCheck || DCshowiPhone && isiPad && !iOSVerCheck) {
        isTabletOSError = true;
    } else {
    }
}

function checkAndroidVer(val) {
    var agent = navigator.userAgent;
    if (agent.match(/Android ([0-9_.]+)/)) {
        var ver = parseFloat(String(RegExp.$1).split("_").join("."));
        if (ver >= val) {
            return true;
        } else {
            return false;
        }
    }
    return false;
}

function checkiOSVer(val) {
    var agent = navigator.userAgent;
    if (agent.match(/CPU iPhone OS ([0-9_.]+)/)) {
        // ※iPhone,iPod用
        var ver = parseFloat(String(RegExp.$1).split("_").join("."));
        if (ver >= val) {
            return true;
        } else {
            return false;
        }
    } else if (agent.match(/CPU OS ([0-9_.]+)/)) {
        // ※iPad用
        var ver = parseFloat(String(RegExp.$1).split("_").join("."));
        if (ver >= val) {
            return true;
        } else {
            return false;
        }
    }
    return false;
}

/* 1.14.0 */
function redirectHTML5forPC(){

    if(isTabletOutput) {

        //※ハッシュにpcモードの値を設定
        if (hs != null && hs != undefined && hs != "") {
            hs = hs + "&pc=true";
        } else {
            hs = "#pc=true";
        }

        window.location.href = DCProductURLs["tabletweb"] + sr + hs;

    }

}